%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:           dblatex
Version:        0.3.10
Release:        %mkrel 4
Summary:        DocBook to LaTeX/ConTeXt Publishing
BuildArch:      noarch
Group:          Publishing
License:        GPLv2+
URL:            http://dblatex.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dblatex/dblatex-%{version}.tar.xz
Source1:        COPYING-docbook-xsl
Patch0:         dblatex-0.2.7-external-which.patch
Patch1:         dblatex-0.3.4-disable-debian.patch

Obsoletes: dblatex
Provides: dblatex = %version-%release

BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  libxslt-proc
BuildRequires:  texlive
%if !%bootstrap
BuildRequires:  imagemagick
%endif
BuildRequires:  latex
BuildRequires:  texlive-texmf
BuildRequires:  python-which
Requires:       libxslt-proc docbook-dtd44-xml 
%if !%bootstrap
Requires:       imagemagick
%endif
Requires:       transfig
AutoReq: no
 

%description
dblatex is a program that transforms your SGML/XMLDocBook
documents to DVI, PostScript or PDF by translating them
into pure LaTeX as a first process.  MathML 2.0 markups
are supported, too. It started as a clone of DB2LaTeX.

%prep
%setup -q
%patch0 -p1 -b .external-which
%patch1 -p1
rm -r lib/contrib

%build
%py2_build

%install
%py2_install

# these are already in tetex-latex:
for file in bibtopic.sty enumitem.sty ragged2e.sty passivetex/; do
  rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/misc/$file
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex
for file in ` find $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/ -name '*.sty' ` ; do
  mv $file $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex/`basename $file`;
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/{misc,contrib/example,style}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dblatex
# shipped in %%docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/

sed -e 's/\r//' xsl/mathml2/README > README-xsltml
touch -r xsl/mathml2/README README-xsltml
cp -p %{SOURCE1} COPYING-docbook-xsl



%files
%{_mandir}/man1/dblatex.1*
%doc COPYRIGHT docs/manual.pdf COPYING-docbook-xsl README-xsltml
%{python2_sitelib}/dbtexmf/
%{python2_sitelib}/dblatex-*.egg-info
%{_bindir}/dblatex
%{_datadir}/dblatex/
%{_datadir}/texmf/tex/latex/dblatex/
%dir %{_sysconfdir}/dblatex


%changelog
* Wed Mar 13 2019 tex - 0.3.10-4pclos2019
- rebuild against updates

* Tue Mar 12 2019 tex - 0.3.10-2pclos2019
- rebuild against updates

* Tue Mar 12 2019 tex - 0.3.10-1pclos2019
- update
